[arch-commits] Commit in python-sympy/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan fyan at archlinux.org
Wed Nov 25 04:44:25 UTC 2015


    Date: Wednesday, November 25, 2015 @ 05:44:24
  Author: fyan
Revision: 147757

archrelease: copy trunk to community-any

Added:
  python-sympy/repos/community-any/PKGBUILD
    (from rev 147756, python-sympy/trunk/PKGBUILD)
Deleted:
  python-sympy/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  138 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 69 insertions(+), 69 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2015-11-25 04:44:06 UTC (rev 147756)
+++ PKGBUILD	2015-11-25 04:44:24 UTC (rev 147757)
@@ -1,69 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>  
-# Contributor: Peter Garceau <RockyChimp at gmail.com>
-
-pkgbase=python-sympy
-pkgname=('python2-sympy' 'python-sympy')
-pkgver=0.7.6.1.20151028
-_commit=6ccadc06eb33390d190d6f834261a3a82018541d
-pkgrel=1
-arch=('any')
-pkgdesc='Symbolic manipulation package (Computer Algebra System), written in pure Python'
-url='http://sympy.org/en/index.html'
-license=('BSD')
-makedepends=('python2-mpmath' 'python-mpmath' 'python-setuptools' 'python2-setuptools' 'git')
-#source=("git+https://github.com/sympy/sympy.git#tag=sympy-${pkgver}"
-source=("git+https://github.com/sympy/sympy.git#commit=$_commit")
-sha512sums=('SKIP')
-
-prepare() {
-  cp -a sympy py3-sympy
-}
-
-build() {
-  cd sympy
-  python2 setup.py build
-
-  cd ../py3-sympy
-  python3 setup.py build
-}
-
-check() {
-  # Broken, waiting for upstream fixes.
-
-  cd sympy
-  python2 setup.py test || warning "Exit code: $?"
-
-  cd ../py3-sympy
-  python3 setup.py test || warning "Exit code: $?"
-}
-
-package_python2-sympy() {
-  depends=('python2-mpmath')
-  optdepends=('python2-pyglet: plotting'
-              'ipython2: user friendly interface for isympy')
-
-  cd sympy
-
-  python2 setup.py install --root "${pkgdir}" --optimize=1
-
-  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-}
-
-package_python-sympy() {
-  depends=('python-mpmath')
-  optdepends=('ipython: user friendly interface for isympy')
-
-  cd py3-sympy
-
-  python3 setup.py install --root "${pkgdir}" --optimize=1
-
-  # rename files that exists in both 'python2-sympy' and 'python-sympy'
-  mv "${pkgdir}"/usr/bin/isympy{,-py3}
-  mv "${pkgdir}"/usr/share/man/man1/isympy{,-py3}.1
-
-  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-}

Copied: python-sympy/repos/community-any/PKGBUILD (from rev 147756, python-sympy/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2015-11-25 04:44:24 UTC (rev 147757)
@@ -0,0 +1,69 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>  
+# Contributor: Peter Garceau <RockyChimp at gmail.com>
+
+pkgbase=python-sympy
+pkgname=('python2-sympy' 'python-sympy')
+pkgver=0.7.6.1.20151123
+_commit=bf990d085afe47bbdde420c5e2e271a01377c487
+pkgrel=1
+arch=('any')
+pkgdesc='Symbolic manipulation package (Computer Algebra System), written in pure Python'
+url='http://sympy.org/en/index.html'
+license=('BSD')
+makedepends=('python2-mpmath' 'python-mpmath' 'python-setuptools' 'python2-setuptools' 'git')
+#source=("git+https://github.com/sympy/sympy.git#tag=sympy-${pkgver}"
+source=("git+https://github.com/sympy/sympy.git#commit=$_commit")
+sha512sums=('SKIP')
+
+prepare() {
+  cp -a sympy py3-sympy
+}
+
+build() {
+  cd sympy
+  python2 setup.py build
+
+  cd ../py3-sympy
+  python3 setup.py build
+}
+
+check() {
+  # Broken, waiting for upstream fixes.
+
+  cd sympy
+  python2 setup.py test || warning "Exit code: $?"
+
+  cd ../py3-sympy
+  python3 setup.py test || warning "Exit code: $?"
+}
+
+package_python2-sympy() {
+  depends=('python2-mpmath')
+  optdepends=('python2-pyglet: plotting'
+              'ipython2: user friendly interface for isympy')
+
+  cd sympy
+
+  python2 setup.py install --root "${pkgdir}" --optimize=1
+
+  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}
+
+package_python-sympy() {
+  depends=('python-mpmath')
+  optdepends=('ipython: user friendly interface for isympy')
+
+  cd py3-sympy
+
+  python3 setup.py install --root "${pkgdir}" --optimize=1
+
+  # rename files that exists in both 'python2-sympy' and 'python-sympy'
+  mv "${pkgdir}"/usr/bin/isympy{,-py3}
+  mv "${pkgdir}"/usr/share/man/man1/isympy{,-py3}.1
+
+  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}



More information about the arch-commits mailing list